import { IAccessTokenData } from '../AuthWrapper';
export type DeviceCodeError = 'TIMEOUT' | 'INVALID_MODULE' | 'UNKNOWN' | 'INVALID_GRANT';
export declare function getErrorMessage(e: unknown): {
    message: string | undefined;
    kind: DeviceCodeError;
};
export declare function hasValidAuthorities({ acceptedAuthorities, authorities, }: {
    acceptedAuthorities?: Array<RegExp | `ROLE_${string}`>;
    authorities: IAccessTokenData['authorities'];
}): boolean;
