import React from 'react';
import { IModule } from '@orderingstack/ordering-types';
export type ModuleConfig = Pick<IModule, 'id' | 'type' | 'venue' | 'production' | 'config'> & {
    configSignature: string;
};
export declare const ModuleContext: React.Context<ModuleConfig | undefined>;
export declare function useModule(): ModuleConfig | undefined;
