import { IRefreshTokenStorageHandler } from '@orderingstack/ordering-core';
export declare const getTimeout: () => 500 | 20000;
export declare const getRetryTimeout: () => 35000 | 4000;
export declare function resetInitialized(): void;
/**
 * Network refresh token storage handler.
 * Compliant with <strong><em>/api/setdata</em></strong> and <strong><em>/api/getdata</em></strong> endpoints of Kiosk Local Service.
 */
export declare const networkRefreshTokenHandler: IRefreshTokenStorageHandler;
